%define dirver %(echo %version | cut -d. -f1-3)
Name:          megaglest
Version:       3.13.0
Release:       2mamba
Summary:       3D real time strategy game
Group:         Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://megaglest.org
Source:        https://github.com/MegaGlest/megaglest-source/releases/download/%{version}/megaglest-source-%{version}.tar.xz
#Source:        http://sourceforge.net/projects/megaglest/files/megaglest_%{dirver}/megaglest-source-%{version}.tar.xz
Patch0:        megaglest-3.7.1-miniupnpc-1.8.patch
Patch1:        megaglest-3.9.0-help2man.patch
Patch2:        megaglest-3.9.0.4-link-libX11.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSDL-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libcurl-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libftgl-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglib-devel
BuildRequires: libircclient-devel
BuildRequires: libjpeg-devel
BuildRequires: liblua-devel
BuildRequires: libopenal-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvlc-devel
BuildRequires: libvorbis-devel
#BuildRequires: libwx_baseu-devel
#BuildRequires: libwx_gtk3u-devel
BuildRequires: libxerces-c-devel
BuildRequires: miniupnpc-devel
## AUTOBUILDREQ-END
BuildRequires: libvlc-devel >= 3.0.6-1mamba
BuildRequires: miniupnpc-devel >= 1.9.20150206-1mamba
Requires:      megaglest-data >= 3.13.0
Provides:      glest
Obsoletes:     glest
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Glest is a free 3D real time strategy game, that can be modified using XML and a set of tools.
Glest takes place in a context which could be compared to that of the pre-renaissance Europe, with the licence that magic forces exist in the environment and can be controlled.

%prep
%setup -q -n %{name}-%{dirver}
#%patch0 -p1
#%patch1 -p1
%patch2 -p1

%build
%cmake -d build \
   -DLUA_INCLUDE_DIR="`pkg-config  --variable=includedir lua`" \
   -DLUA_LIBRARY="%{_libdir}/liblua.so.5.3" \
   -DEXTERNAL_LIBS="-lX11"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/megaglest
%{_bindir}/megaglest_editor
%{_bindir}/megaglest_g3dviewer
#%{_datadir}/applications/megaglest.desktop
#%{_datadir}/applications/megaglest_editor.desktop
#%{_datadir}/applications/megaglest_g3dviewer.desktop
%dir %{_datadir}/megaglest
%{_datadir}/megaglest/*
%{_mandir}/man6/megaglest.6*
%{_mandir}/man6/megaglest_editor.6*
%{_mandir}/man6/megaglest_g3dviewer.6*

%changelog
* Sun Feb 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13.0-2mamba
- rebuilt with libvlc 3.0.6

* Tue Aug 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13.0-1mamba
- update to 3.13.0

* Sun Mar 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.0.4-2mamba
- rebuilt by autoport with build requirements: libvlc-devel>=2.2.0-1mamba

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.0.4-1mamba
- update to 3.9.0.4

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.1-4mamba
- rebuilt by autoport with build requirements: miniupnpc-devel>=1.9.20150206-1mamba

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 3.7.1-3mamba
- rebuilt by autoport with build requirements: miniupnpc-devel>=1.9.20140610-1mamba

* Sat Oct 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.1-2mamba
- rebuilt with vlc 2.1.0

* Mon Jul 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.1-1mamba
- update to 3.7.1

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- automatic rebuild by autodist

* Tue Mar 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- automatic update to 3.2.1 by autodist

* Sat Sep 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- added requirement for glest-data
- added patch to fix build with gcc 4.3

* Tue Jul 29 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>  3.1.2-1mamba
- correct some bug in the spec file

* Tue Jul 29 2008 gil <puntogil@libero.it> 3.1.2-1mamba
- first build 
- added desktop files for: glest, glest_editor 